<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns="http://www.w3.org/1999/xhtml" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:php="http://php.net/xsl" exclude-result-prefixes="php">
	<xsl:output method="xml" encoding="UTF-8" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" omit-xml-declaration="yes" />
	<xsl:include href="root.xsl" />
	<xsl:template match="/home/menu">
		<div id="header">
			<ul>
				<xsl:for-each select="item">
					<xsl:element name="li">
						<xsl:attribute name="id">
							<xsl:value-of select="id" />
						</xsl:attribute>
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:value-of select="link" />
							</xsl:attribute>
							<xsl:attribute name="title">
								<xsl:value-of select="title" />
							</xsl:attribute>
							<xsl:value-of select="title" />
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
			</ul>
		</div>
	</xsl:template>
	<xsl:template match="/home/articles">
		<div id="content">
			<h1>Willkommen bei der XSLT Demo von MM Newmedia</h1>
			<p>Diese XHTML Demo Website wurde mit der MM Newmedia XSLT Template Engine erstellt. Anders als bei anderen Template Engines ist es mit XSLT möglich XML Daten in die verschiedensten Formate zu transformieren.</p>
			<xsl:for-each select="item">
    			<h2><xsl:value-of select="title" /></h2>
				<p><xsl:value-of select="text" /></p>
				<p>
					Das aktuelle Datum: <xsl:value-of select="php:function('date', 'd.m.Y')" />
				</p>
    		</xsl:for-each>	
		</div>
	</xsl:template>
</xsl:stylesheet>